build:gcc8-seq-release:
  image: localhost:5000/ubuntu_gcc8
  stage: build
  script:
    - mkdir -p build/gcc8-seq-release
    - cd build/gcc8-seq-release
    - CXX=g++-8 CC=gcc-8 cmake ../.. -DCMAKE_BUILD_TYPE=Release
    - make pugs
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc8-seq-release"
    paths:
      - build/gcc8-seq-release
    untracked: true

test:gcc8-seq-release:
  image: localhost:5000/ubuntu_gcc8
  stage: test
  dependencies:
    - build:gcc8-seq-release
  script:
    - mkdir -p build/gcc8-seq-release
    - cd build/gcc8-seq-release
    - CXX=g++-8 CC=gcc-8 cmake ../.. -DCMAKE_BUILD_TYPE=Release
    - make run_unit_tests
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc8-seq-release"
    paths:
      - build/gcc8-seq-release
    untracked: true
